%define major		5
%define libtesseract	%mklibname %{name} %{major}
%define devtesseract	%mklibname %{name} -d

Name:		tesseract
Version:	5.5.0
Release:	%mkrel 1
Summary:	A high-performance OCR engine
URL:		https://github.com/tesseract-ocr
License:	ASL 2.0
Group:		Graphics/Utilities
Source0:	https://github.com/%{name}-ocr/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	asciidoc
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(lept) >= 1.84.1
BuildRequires:	icu-devel
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(cairo)
Requires:	%{name}-language
Requires:	%{name}-eng

%description
The Tesseract OCR engine was one of the top 3 engines in the 1995
UNLV Accuracy test. Since then it has had little work done on it,
but it is probably one of the most accurate open source OCR engines
available. The source code will read a binary, grey or color image
and output text. A tiff reader is built in that will read
uncompressed TIFF images, or libtiff can be added to read compressed
images.

%files
%doc AUTHORS
%{_bindir}/*
%{_datadir}/tessdata
%{_mandir}/man*/*

#-----------------------------------------------------------------

%package -n %{libtesseract}
Summary:	%{name} support library
Group:		System/Libraries

%description -n %{libtesseract}
%{name} library.

%files -n %{libtesseract}
%_libdir/lib%{name}*.so.%{major}{,.*}

#-----------------------------------------------------------------

%package -n %{devtesseract}
Summary:	Development files from %{name}
Group:		Development/C++
Requires:	%{libtesseract} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devtesseract}
The Tesseract OCR engine was one of the top 3 engines in the 1995
UNLV Accuracy test. Since then it has had little work done on it,
but it is probably one of the most accurate open source OCR engines
available. The source code will read a binary, grey or color image
and output text. A tiff reader is built in that will read
uncompressed TIFF images, or libtiff can be added to read compressed
images.

%files -n %{devtesseract}
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------

%prep
%autosetup -p1

%build
./autogen.sh

# Fix https://github.com/tesseract-ocr/tesseract/issues/3728#
%ifarch armv7hl
 export CFLAGS="%(echo %optflags | sed -e 's:-mfpu=vfpv3-d16::')"
 export CXXFLAGS="%(echo %optflags | sed -e 's:-mfpu=vfpv3-d16::')"
 export FFLAGS="%(echo %optflags | sed -e 's:-mfpu=vfpv3-d16::')"
 export FCFLAGS="%(echo %optflags | sed -e 's:-mfpu=vfpv3-d16::')"
%endif

%configure --disable-static

%make_build

%make_build training

%install
%make_install
%make_install training-install


%changelog
* Sun Nov 24 2024 barjac <barjac> 5.5.0-1.mga10
+ Revision: 2118769
- new version 5.5.0

* Mon Aug 12 2024 barjac <barjac> 5.4.1-1.mga10
+ Revision: 2086390
- new version 5.4.1

* Mon Apr 29 2024 barjac <barjac> 5.3.4-1.mga10
+ Revision: 2061686
- new version 5.3.4
- remove patch merged upstream

* Wed Sep 27 2023 tv <tv> 5.3.0-4.mga10
+ Revision: 1991345
- Rebuild for icu-73

* Sat Feb 04 2023 daviddavid <daviddavid> 5.3.0-3.mga9
+ Revision: 1938173
- add patch from upstream to fix pkg-config libdir value

* Tue Jan 31 2023 barjac <barjac> 5.3.0-2.mga9
+ Revision: 1937159
- set minimum version of liblept

* Mon Jan 30 2023 barjac <barjac> 5.3.0-1.mga9
+ Revision: 1936989
- new version 5.3.0

* Sat Jan 07 2023 squidf <squidf> 5.2.0-2.mga9
+ Revision: 1931174
- Mass rebuild for icu 72.1

* Sun Aug 07 2022 barjac <barjac> 5.2.0-1.mga9
+ Revision: 1875722
- new version 5.2.0

* Sat Jun 18 2022 squidf <squidf> 5.1.0-2.mga9
+ Revision: 1864908
- rebuild for icu 71.1

* Mon Mar 14 2022 barjac <barjac> 5.1.0-1.mga9
+ Revision: 1791660
- new version 5.1.0

* Sun Jan 23 2022 barjac <barjac> 5.0.1-1.mga9
+ Revision: 1769526
- fix armv7hl build

* Thu Jan 20 2022 barjac <barjac> 5.0.1-0.1.mga9
+ Revision: 1769312
- new version 5.0.1
- new major 5
- remove obsolete patch

* Sun Dec 05 2021 wally <wally> 4.1.3-2.mga9
+ Revision: 1760795
- split out tessdata into tesseract-tessdata

* Mon Nov 22 2021 barjac <barjac> 4.1.3-1.mga9
+ Revision: 1758670
- dont follow symlink
- drop Kurdish - not in data
- fix rels
- new version 4.1.3
+ tv <tv>
- Update data to 4.1.0 thus fixing update (alt was to bump data release)

* Tue Aug 03 2021 luigiwalser <luigiwalser> 4.1.1-6.mga9
+ Revision: 1738979
- rebuild for icu

* Tue Dec 01 2020 luigiwalser <luigiwalser> 4.1.1-5.mga8
+ Revision: 1651170
- rebuild for icu

* Sat Oct 31 2020 wally <wally> 4.1.1-4.mga8
+ Revision: 1640945
- fix build with autoconf > 2.69

* Thu Jul 02 2020 wally <wally> 4.1.1-3.mga8
+ Revision: 1601323
- rebuild for icu 67.1

* Sun Apr 05 2020 wally <wally> 4.1.1-2.mga8
+ Revision: 1564815
- rebuild for new icu 66.1
- replace deprecated %%configure2_5x

* Sat Jan 11 2020 barjac <barjac> 4.1.1-1.mga8
+ Revision: 1477604
- new version 4.1.1
- bump langrel
- use %%autoseup

* Wed Nov 13 2019 barjac <barjac> 4.1.0-2.mga8
+ Revision: 1459857
- really fix langdata release
- fix langdata release
- new version 4.1.0
- fix Source0
- Remove COPYING

* Sat Oct 05 2019 daviddavid <daviddavid> 4.0.0-2.mga8
+ Revision: 1449502
- rebuild for new icu 65.1

* Sat Jan 12 2019 barjac <barjac> 4.0.0-1.mga7
+ Revision: 1355534
- new version 4.0.0
- new major 4
- update files list
- new BR asciidoc

* Mon Dec 31 2018 tv <tv> 3.05.02-13.mga7
+ Revision: 1347328
- rebuild with latest icu

* Sat Aug 25 2018 daviddavid <daviddavid> 3.05.02-12.mga7
+ Revision: 1254322
- new version: 3.05.02
- osd sub-pkg requires main pkg

* Mon Aug 20 2018 tv <tv> 3.05.01-11.mga7
+ Revision: 1253099
- rebuild with latest icu

* Fri Dec 29 2017 wally <wally> 3.05.01-10.mga7
+ Revision: 1187016
- rebuild for new icu

* Tue Dec 12 2017 zezinho <zezinho> 3.05.01-9.mga7
+ Revision: 1182291
- new bugfix version 3.05.01

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 3.04.01-8.mga6
+ Revision: 1092810
- Rebuild for icu-58.2

* Sat May 14 2016 shlomif <shlomif> 3.04.01-7.mga6
+ Revision: 1015251
- Rebuild for the new UCI (new major)

* Fri May 13 2016 barjac <barjac> 3.04.01-6.mga6
+ Revision: 1014894
- rebuild for icu

* Mon Feb 22 2016 barjac <barjac> 3.04.01-5.mga6
+ Revision: 976080
- fix requires

* Mon Feb 22 2016 barjac <barjac> 3.04.01-4.mga6
+ Revision: 975927
- bugfix release
- tessdata versions didnt change so bumping release

* Thu Jan 28 2016 barjac <barjac> 3.04.00-3.mga6
+ Revision: 928355
- rebuild for leptonica

* Fri Jan 01 2016 luigiwalser <luigiwalser> 3.04.00-2.mga6
+ Revision: 917925
- rebuild for icu

* Wed Oct 07 2015 barjac <barjac> 3.04.00-1.mga6
+ Revision: 887007
- new version 3.04.00
- adapted to new upstream data packaging
- patches no longer required removed

* Wed Oct 15 2014 umeabot <umeabot> 3.02.02-9.mga5
+ Revision: 747262
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.02.02-8.mga5
+ Revision: 689835
- Mageia 5 Mass Rebuild

* Mon Jun 30 2014 barjac <barjac> 3.02.02-7.mga5
+ Revision: 641697
- rebuild for new leptonica

* Sun Mar 09 2014 barjac <barjac> 3.02.02-6.mga5
+ Revision: 601528
- rebuild against new liblept

* Sat Oct 19 2013 umeabot <umeabot> 3.02.02-5.mga4
+ Revision: 528457
- Mageia 4 Mass Rebuild

* Wed Jun 19 2013 barjac <barjac> 3.02.02-4.mga4
+ Revision: 445079
- add require on %%{name}-eng to fix issue in comment #1 of Mga #10403

* Mon Jan 14 2013 umeabot <umeabot> 3.02.02-3.mga3
+ Revision: 384413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Sun Jan 06 2013 cjw <cjw> 3.02.02-2.mga3
+ Revision: 339739
- patch1: fix build with automake 1.13

* Tue Oct 30 2012 barjac <barjac> 3.02.02-1.mga3
+ Revision: 311612
- new version
- removed two patches fixed upstream
- created one new patch for format security error
- updated several language files
- removed un-needed mv and delete of tessdata files

* Thu Oct 18 2012 barjac <barjac> 3.01-2.mga3
+ Revision: 307809
- lang data files should be noarch

* Thu Oct 18 2012 barjac <barjac> 3.01-1.mga3
+ Revision: 307797
- New version
 - many new language data files
- language file handling improved thanks to Mdv
- two minor patches fixing a missing include and a format security error
- group updated to new policy
- two unneeded compiler error overrides removed

* Fri Dec 23 2011 fwang <fwang> 3.00-4.mga2
+ Revision: 186473
- rebuild for new libtiff

* Tue May 24 2011 ahmad <ahmad> 3.00-3.mga1
+ Revision: 100338
- Add the language support files for version 3.00
- Don't obsoletes the lang sub-packages
- Make the lang sub-packages noarch
- User %%configure2_5x

* Fri Apr 29 2011 dmorgan <dmorgan> 3.00-2.mga1
+ Revision: 93442
- Obsolete old packages

* Thu Apr 14 2011 tv <tv> 3.00-1.mga1
+ Revision: 85208
- new release
- sync with mdv:
  o Fix requires in the devel package
  o make it build
  o Fix file list
  o Do not package .la/.a files
  o use configure
  o Remove deprecated patches

* Fri Jan 21 2011 ahmad <ahmad> 2.04-6.mga1
+ Revision: 29545
- imported package tesseract


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.04-6mdv2011.0
+ Revision: 607988
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.04-5mdv2010.1
+ Revision: 524227
- rebuilt for 2010.1

* Wed Sep 16 2009 Helio Chissini de Castro <helio@mandriva.com> 2.04-4mdv2010.0
+ Revision: 443609
- Devel should requires main library

* Wed Sep 16 2009 Helio Chissini de Castro <helio@mandriva.com> 2.04-3mdv2010.0
+ Revision: 443571
- Move tesseract_full to be a shared library. This will solve all issues having with static linking and make olena and nepomuk-scribo happy.
  Hope upstream accept this patch

* Wed Sep 16 2009 Helio Chissini de Castro <helio@mandriva.com> 2.04-1mdv2010.0
+ Revision: 443344
- Create new buildsystem for tesseract based on cmake
- Fix gcc 4.3 build
- Splitted in proper way languages

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jun 19 2008 Funda Wang <fwang@mandriva.org> 2.03-1mdv2009.0
+ Revision: 226134
- remove java makefile
- New version 2.03
- add patch to build against gcc4.3

* Tue Jan 29 2008 Austin Acton <austin@mandriva.org> 2.01-1mdv2008.1
+ Revision: 159875
- new version
- add two new language files

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Sat Aug 25 2007 Austin Acton <austin@mandriva.org> 2.00-1mdv2008.0
+ Revision: 71373
- 2.00
- clean up this disgusting spec file
- fix groups, licenses
- bundle language files
- auto optflags
- simplify file lists
- simplify summaries and descriptions

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add URL  thanks Austin

* Fri May 18 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.04-1mdv2008.0
+ Revision: 27786
- Fix Licence
- Import tesseract

